# RPM specfile for gtkhtml1.1 module
# Generated Thu Oct 31 18:12:58 2002 GMT by Ximian build system
# $Id: bb_do,v 1.193 2002/09/10 14:45:10 thunder Exp $
# from $Id: ximian-build.conf,v 1.69 2002/10/31 16:39:30 frb Exp $

%define nam	gtkhtml1.1
%define ver	1.1.5
%define ximrev	1

Name:     	gtkhtml1.1
Version: 	1.1.5
Release:	0.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Solaris 7 / SPARC
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /opt/gnome/doc

URL:		http://www.gnome.org/
Source0:	gtkhtml-1.1.5.tar.gz
BuildRequires:	libcapplet-devel >= 1.0.0
BuildRequires:	intltool
BuildRequires:	gal-devel > 0.20
BuildRequires:	gnome-print-devel > 0.29
BuildRequires:	gdk-pixbuf-devel >= 0.8
BuildRequires:	soup-devel >= 0.7
BuildRequires:	libghttp-devel >= 1.0
BuildRequires:	bonobo-devel >= 0.32
BuildRequires:	oaf-devel
BuildRequires:	GConf-devel
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	gtkhtml
Provides:	ximian-gtkhtml1.1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gtkhtml < 1.1

%description
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files
%defattr(-, root, root)
/opt/gnome/bin/*
/opt/gnome/share/gtkhtml-1.1
/opt/gnome/share/gnome/apps/Settings/Documents/*.desktop
/opt/gnome/share/control-center/Documents/*.desktop
/opt/gnome/share/gnome/ui/*
/opt/gnome/share/gnome/html/*
/opt/gnome/*/locale/*/LC_MESSAGES/*.mo
/opt/gnome/share/oaf/*.oaf


%package -n gtkhtml1.1-devel
Summary:	Development libraries, header files and utilities for GtkHTML
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	gnome-print-devel
Provides:	ximian-gtkhtml1.1-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gtkhtml-devel

%description -n gtkhtml1.1-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%files -n gtkhtml1.1-devel
%defattr(-, root, root)
/opt/gnome/lib/lib*.a
/opt/gnome/lib/lib*.so
/opt/gnome/lib/pkgconfig/*.pc
/opt/gnome/include/gtkhtml-1.1


%package -n libgtkhtml1.1-3
Summary:	GtkHTML is a HTML rendering/editing library.
Group:		System Environment/Libraries
Provides:	libgtkhtml1.1
Provides:	ximian-libgtkhtml1.1-3 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgtkhtml1.1-3
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%files -n libgtkhtml1.1-3
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO
/opt/gnome/lib/lib*.so.*


%post -n libgtkhtml1.1-3
/bin/true

%postun -n libgtkhtml1.1-3
/bin/true

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkhtml-1.1.5
    ;;
all)
%setup  -q -n gtkhtml-1.1.5
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/opt/gnome/etc --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --with-bonobo --without-pspell
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/opt/gnome/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 1.1.5-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Oct 8 2002 Ximian, Inc.

- Version: 1.1.4-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Sep 19 2002 Ximian, Inc.

- Version: 1.1.2-0.ximian.1
- Summary: New build.
- New automated build.

